Bug 1301696 - getting unexpected hits on TESTDATA from subscription-manager list --available --matches=*os*
getting unexpected hits on TESTDATA from subscription-manager list --availabl...
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: William Poteat
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 12:40 EST by John Sefler
Modified: 2016-07-22 10:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-22 10:38:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2016-01-25 12:40:32 EST
Description of problem:
I have an automated test for subscription-manager list --available --matches that is failing when testing against candlepin deployed with TESTDATA.  The subscription-manager query is...

   subscription-manager list --available --matches=*os*

Most all of the subscriptions list are expected, but there are a few that I cannot explain. 

Version-Release number of selected component (if applicable):
[root@jsefler-6 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 2.0.10-1
subscription management rules: 5.19
subscription-manager: 1.16.8-1.el6
python-rhsm: 1.16.6-1.el6


How reproducible:


Steps to Reproduce:
[root@jsefler-6 ~]# subscription-manager register --username=testuser1 --org=admin --serverurl=jsefler-f22-candlepin.usersys.redhat.com:8443/candlepin
Registering to: jsefler-f22-candlepin.usersys.redhat.com:8443/candlepin
Password: 
The system has been registered with ID: e38a9860-d9a1-4f76-a0e5-ee1e7a57eddf 
[root@jsefler-6 ~]# 
[root@jsefler-6 ~]# subscription-manager list --available --matches=*os*
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+
Subscription Name:   Awesome OS Server Basic (multi-entitlement)
Provides:            Awesome OS Server Bits
SKU:                 awesomeos-server-basic-me
Contract:            1
Pool ID:             8a90879052610a8b0152610bd4e40587
Provides Management: No
Available:           10
Suggested:           1
Service Level:       None
Service Type:        Self-Support
Subscription Type:   Multi-Entitleable
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   RAM Limiting Package (4GB stackable)
Provides:            RAM Limiting Product
SKU:                 ram-4gb-stackable
Contract:            1
Pool ID:             8a90879052610a8b0152610bed0908d0
Provides Management: No
Available:           10
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Stackable
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   RAM Limiting Package (2GB stackable)
Provides:            RAM Limiting Product
SKU:                 ram-2gb-stackable
Contract:            1
Pool ID:             8a90879052610a8b0152610bed2908d3
Provides Management: No
Available:           10
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Stackable
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS Instance Based one socket
Provides:            Awesome OS Instance Server Bits
SKU:                 awesomeos-onesocketib
Contract:            0
Pool ID:             8a90879052610a8b0152610bd60405a3
Provides Management: No
Available:           10
Suggested:           1
Service Level:       Standard
Service Type:        L1-L3
Subscription Type:   Instance Based (Temporary)
Ends:                01/18/2017
System Type:         Virtual

Subscription Name:   Awesome OS Super Hypervisor
Provides:            Awesome Hypervisor Bits
SKU:                 awesomeos-super-hypervisor
Contract:            1
Pool ID:             8a90879052610a8b0152610be75207fe
Provides Management: No
Available:           40
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Stackable (Temporary)
Ends:                01/18/2017
System Type:         Virtual

Subscription Name:   Awesome OS for All Arch (just x86_64 content)
Provides:            Awesome OS for All Arch (just x86_64 content) Bits
SKU:                 awesomeos-all-just-86_64-cont
Contract:            1
Pool ID:             8a90879052610a8b0152610be03e06e7
Provides Management: No
Available:           10
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Stackable
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS for x86_64/i686/ia64/ppc/ppc64/s390x/s390
Provides:            Awesome OS for x86_64/i686/ia64/ppc/ppc64/s390x/s390 Bits
SKU:                 awesomeos-everything
Contract:            0
Pool ID:             8a90879052610a8b0152610be28d0734
Provides Management: No
Available:           5
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Standard
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Stackable Cores Package (8 cores)
Provides:            Core Limiting Product
SKU:                 cores-8-stackable
Contract:            1
Pool ID:             8a90879052610a8b0152610bf066093c
Provides Management: No
Available:           10
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Stackable
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   RAM Limiting Package (8GB)
Provides:            RAM Limiting Product
SKU:                 ram-8gb
Contract:            0
Pool ID:             8a90879052610a8b0152610beb4508ac
Provides Management: No
Available:           5
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Standard
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS Modifier
Provides:            Awesome OS Modifier Bits
SKU:                 awesomeos-modifier
Contract:            0
Pool ID:             8a90879052610a8b0152610bcadd049e
Provides Management: No
Available:           5
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Standard
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Admin OS Instance Based one socket
Provides:            Awesome OS Instance Server Bits
                     Admin OS Developer Bits
                     Admin OS Premium Architecture Bits
SKU:                 adminos-onesocketib
Contract:            1
Pool ID:             8a90879052610a8b0152610bce8304d3
Provides Management: No
Available:           20
Suggested:           1
Service Level:       Standard
Service Type:        L1-L3
Subscription Type:   Instance Based (Temporary)
Ends:                01/18/2017
System Type:         Virtual

Subscription Name:   Admin OS Server Bundled (2 Sockets, Standard Support)
Provides:            Clustering Bits
                     Awesome OS Server Bits
                     Shared Storage Bits
                     Load Balancing Bits
                     Large File Support Bits
                     Management Bits
                     Admin OS Developer Bits
                     Admin OS Premium Architecture Bits
SKU:                 adminos-server-2-socket-std
Contract:            0
Pool ID:             8a90879052610a8b0152610bcbc904b0
Provides Management: Yes
Available:           5
Suggested:           1
Service Level:       Standard
Service Type:        L1-L3
Subscription Type:   Standard
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   RAM/Cores Package (8GB, 4 cores)
Provides:            RAM Limiting Product
SKU:                 ram-cores-8gb-4cores
Contract:            1
Pool ID:             8a90879052610a8b0152610bedb608db
Provides Management: No
Available:           10
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Standard
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS for All Arch (x86content)
Provides:            Awesome OS for All Arch (x86 content) Bits
SKU:                 awesomeos-all-x86-cont
Contract:            0
Pool ID:             8a90879052610a8b0152610bde4806ba
Provides Management: No
Available:           5
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Stackable
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Admin OS Instance Based one socket
Provides:            Awesome OS Instance Server Bits
                     Admin OS Developer Bits
                     Admin OS Premium Architecture Bits
SKU:                 adminos-onesocketib
Contract:            0
Pool ID:             8a90879052610a8b0152610bcb7204a4
Provides Management: No
Available:           10
Suggested:           1
Service Level:       Standard
Service Type:        L1-L3
Subscription Type:   Instance Based (Temporary)
Ends:                01/18/2017
System Type:         Virtual

Subscription Name:   Awesome OS for All Arch (all per arch content)
Provides:            Awesome OS for All Arch (all per arch content) Bits
SKU:                 awesomeos-per-arch-cont
Contract:            0
Pool ID:             8a90879052610a8b0152610bde0806b7
Provides Management: No
Available:           5
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Stackable
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS Server Bundled
Provides:            Clustering Bits
                     Awesome OS Server Bits
                     Shared Storage Bits
                     Load Balancing Bits
                     Large File Support Bits
                     Management Bits
SKU:                 awesomeos-server
Contract:            0
Pool ID:             8a90879052610a8b0152610bcb8404ad
Provides Management: Yes
Available:           5
Suggested:           1
Service Level:       Premium
Service Type:        Level 3
Subscription Type:   Standard
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS Super Hypervisor
Provides:            Awesome Hypervisor Bits
SKU:                 awesomeos-super-hypervisor
Contract:            1
Pool ID:             8a90879052610a8b0152610be72307f9
Provides Management: No
Available:           10
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Stackable
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS Server Basic (data center)
Provides:            
SKU:                 awesomeos-server-basic-dc
Contract:            0
Pool ID:             8a90879052610a8b0152610bd315055c
Provides Management: No
Available:           5
Suggested:           1
Service Level:       None
Service Type:        Self-Support
Subscription Type:   Standard
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS Workstation Basic
Provides:            Awesome OS Workstation Bits
SKU:                 awesomeos-workstation-basic
Contract:            0
Pool ID:             8a90879052610a8b0152610bd315055b
Provides Management: No
Available:           5
Suggested:           1
Service Level:       Standard
Service Type:        L1-L3
Subscription Type:   Standard
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS with up to 4 virtual guests
Provides:            Awesome OS Server Bits
SKU:                 awesomeos-virt-4
Contract:            0
Pool ID:             8a90879052610a8b0152610be32a0739
Provides Management: No
Available:           5
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Multi-Entitleable
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS Stackable guest limit 4
Provides:            Awesome OS Server Bits
SKU:                 awesomeos-guestlimit-4-stackable
Contract:            0
Pool ID:             8a90879052610a8b0152610be3c90755
Provides Management: No
Available:           20
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Stackable (Temporary)
Ends:                01/18/2017
System Type:         Virtual

Subscription Name:   Admin OS Instance Based one socket
Provides:            Awesome OS Instance Server Bits
                     Admin OS Developer Bits
                     Admin OS Premium Architecture Bits
SKU:                 adminos-onesocketib
Contract:            1
Pool ID:             8a90879052610a8b0152610bce2304c2
Provides Management: No
Available:           20
Suggested:           1
Service Level:       Standard
Service Type:        L1-L3
Subscription Type:   Instance Based
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Admin OS Instance Based one socket
Provides:            Awesome OS Instance Server Bits
                     Admin OS Developer Bits
                     Admin OS Premium Architecture Bits
SKU:                 adminos-onesocketib
Contract:            0
Pool ID:             8a90879052610a8b0152610bcb2204a1
Provides Management: No
Available:           10
Suggested:           1
Service Level:       Standard
Service Type:        L1-L3
Subscription Type:   Instance Based
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS Server Bundled (2 Sockets, Standard Support)
Provides:            Clustering Bits
                     Awesome OS Server Bits
                     Shared Storage Bits
                     Load Balancing Bits
                     Large File Support Bits
                     Management Bits
SKU:                 awesomeos-server-2-socket-std
Contract:            0
Pool ID:             8a90879052610a8b0152610bd3c7056d
Provides Management: Yes
Available:           5
Suggested:           1
Service Level:       Standard
Service Type:        L1-L3
Subscription Type:   Standard
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS Instance Based (Standard Support)
Provides:            Awesome OS Instance Server Bits
SKU:                 awesomeos-instancebased
Contract:            0
Pool ID:             8a90879052610a8b0152610bd4b30584
Provides Management: No
Available:           10
Suggested:           1
Service Level:       Standard
Service Type:        L1-L3
Subscription Type:   Instance Based
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Cores Package (26 cores)
Provides:            Core Limiting Product
SKU:                 cores-26
Contract:            0
Pool ID:             8a90879052610a8b0152610bed7808d6
Provides Management: No
Available:           5
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Standard
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS Docker
Provides:            Awesome OS Docker Bits
SKU:                 awesomeos-docker
Contract:            0
Pool ID:             8a90879052610a8b0152610bca300498
Provides Management: No
Available:           5
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Standard
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS Server Basic (multi-entitlement)
Provides:            Awesome OS Server Bits
SKU:                 awesomeos-server-basic-me
Contract:            0
Pool ID:             8a90879052610a8b0152610bd33e0560
Provides Management: No
Available:           5
Suggested:           1
Service Level:       None
Service Type:        Self-Support
Subscription Type:   Multi-Entitleable
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS Server Basic
Provides:            Awesome OS Server Bits
SKU:                 awesomeos-server-basic
Contract:            1
Pool ID:             8a90879052610a8b0152610bd207053c
Provides Management: No
Available:           10
Suggested:           1
Service Level:       None
Service Type:        Self-Support
Subscription Type:   Standard
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS with up to 4 virtual guests
Provides:            Awesome OS Server Bits
SKU:                 awesomeos-virt-4
Contract:            0
Pool ID:             8a90879052610a8b0152610be350073f
Provides Management: No
Available:           20
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Multi-Entitleable (Temporary)
Ends:                01/18/2017
System Type:         Virtual

Subscription Name:   Admin OS Server Bundled (2 Sockets, Standard Support)
Provides:            Clustering Bits
                     Awesome OS Server Bits
                     Shared Storage Bits
                     Load Balancing Bits
                     Large File Support Bits
                     Management Bits
                     Admin OS Developer Bits
                     Admin OS Premium Architecture Bits
SKU:                 adminos-server-2-socket-std
Contract:            1
Pool ID:             8a90879052610a8b0152610bced604dd
Provides Management: Yes
Available:           10
Suggested:           1
Service Level:       Standard
Service Type:        L1-L3
Subscription Type:   Standard
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS Stackable guest limit 4
Provides:            Awesome OS Server Bits
SKU:                 awesomeos-guestlimit-4-stackable
Contract:            0
Pool ID:             8a90879052610a8b0152610be38f074b
Provides Management: No
Available:           5
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Stackable
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS Server Basic (dc-virt)
Provides:            Awesome OS Server Bits
                     Awesome OS Modifier Bits
SKU:                 awesomeos-server-basic-vdc
Contract:            0
Pool ID:             8a90879052610a8b0152610bd35a0563
Provides Management: No
Available:           Unlimited
Suggested:           1
Service Level:       Full-Service
Service Type:        Drive-Through
Subscription Type:   Standard (Temporary)
Ends:                01/18/2017
System Type:         Virtual

Subscription Name:   Awesome OS Instance Based (Standard Support)
Provides:            Awesome OS Instance Server Bits
SKU:                 awesomeos-instancebased
Contract:            1
Pool ID:             8a90879052610a8b0152610bd6f505c1
Provides Management: No
Available:           20
Suggested:           1
Service Level:       Standard
Service Type:        L1-L3
Subscription Type:   Instance Based (Temporary)
Ends:                01/18/2017
System Type:         Virtual

Subscription Name:   Awesome OS Server Basic
Provides:            Awesome OS Server Bits
SKU:                 awesomeos-server-basic
Contract:            0
Pool ID:             8a90879052610a8b0152610bd04604e8
Provides Management: No
Available:           5
Suggested:           1
Service Level:       None
Service Type:        Self-Support
Subscription Type:   Standard
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS Virtual Datacenter
Provides:            Awesome OS Server Bits
SKU:                 awesomeos-virt-datacenter
Contract:            1
Pool ID:             8a90879052610a8b0152610be880083b
Provides Management: No
Available:           Unlimited
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Standard (Temporary)
Ends:                01/18/2017
System Type:         Virtual

Subscription Name:   Awesome OS Instance Based (Standard Support)
Provides:            Awesome OS Instance Server Bits
SKU:                 awesomeos-instancebased
Contract:            0
Pool ID:             8a90879052610a8b0152610bd4eb058d
Provides Management: No
Available:           10
Suggested:           1
Service Level:       Standard
Service Type:        L1-L3
Subscription Type:   Instance Based (Temporary)
Ends:                01/18/2017
System Type:         Virtual

Subscription Name:   Awesome OS OSTree
Provides:            Awesome OS OStree Bits
SKU:                 awesomeos-ostree
Contract:            0
Pool ID:             8a90879052610a8b0152610bcaa1049b
Provides Management: No
Available:           5
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Standard
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS Instance Based one socket
Provides:            Awesome OS Instance Server Bits
SKU:                 awesomeos-onesocketib
Contract:            0
Pool ID:             8a90879052610a8b0152610bd5bf059e
Provides Management: No
Available:           10
Suggested:           1
Service Level:       Standard
Service Type:        L1-L3
Subscription Type:   Instance Based
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS for All Arch (excpt for x86_64 content)
Provides:            Awesome OS for All Arch (excpt for x86_64 content) Bits
SKU:                 awesomeos-all-no-86_64-cont
Contract:            0
Pool ID:             8a90879052610a8b0152610bdd53069e
Provides Management: No
Available:           5
Suggested:           1
Service Level:       
Service Type:        
Subscription Type:   Stackable
Ends:                01/18/2017
System Type:         Physical

Subscription Name:   Awesome OS Instance Based (Standard Support)
Provides:            Awesome OS Instance Server Bits
SKU:                 awesomeos-instancebased
Contract:            1
Pool ID:             8a90879052610a8b0152610bd6b305be
Provides Management: No
Available:           20
Suggested:           1
Service Level:       Standard
Service Type:        L1-L3
Subscription Type:   Instance Based
Ends:                01/18/2017
System Type:         Physical

[root@jsefler-6 ~]# 


Actual results:
 above

Expected results:
 among the output above, you will find subscription pools for these pool products that do not match "*os*" in any of these properties: Subscription Name, Provides, SKU, Contract, Service Level, Provided ProductId, Derived Provided ProductId,  Derived Provided ProductName.
    ram-4gb-stackable
    ram-2gb-stackable
    cores-8-stackable
    ram-8gb
    ram-cores-8gb-4cores
    cores-26
    
Therefore I did not expect these ram and cores pool product to appear in the list --available --matches=*os*

Please determine why they are appearing in the list and if I need to update my automated test expectations.
Comment 1 William Poteat 2016-04-05 14:44:19 EDT
The test data is full of content that has 'os' in the name or label. Those fields are part of the match but we do not show the content name or label in list --available.

To confirm, attach to a pool where you don't see a highlighted match. rct cat-cert the entitlement and look for the match string. I'm sure it will be there in the name or label of one of the content sets.
Comment 2 Barnaby Court 2016-07-22 10:38:58 EDT
Moving to closed per the updated candlepin process for bugs that have been merged or have been taken care of.

Note You need to log in before you can comment on or make changes to this bug.